<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - salidacoverage.info - /home/qhxar/Desktop/TPI/tpi-algoritmos-i/test/esEncuestaValidaTEST.cpp</title>
  <link rel="stylesheet" type="text/css" href="../../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../../index.html">top level</a> - <a href="index.html">home/qhxar/Desktop/TPI/tpi-algoritmos-i/test</a> - esEncuestaValidaTEST.cpp<span style="font-size: 80%;"> (source / <a href="esEncuestaValidaTEST.cpp.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">salidacoverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">64</td>
            <td class="headerCovTableEntry">64</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2019-06-10 10:35:58</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">50</td>
            <td class="headerCovTableEntry">50</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr><td><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : #include &quot;../definiciones.h&quot;</a>
<span class="lineNum">       2 </span>            : #include &quot;../Funciones_TPI.h&quot;
<span class="lineNum">       3 </span>            : #include &quot;../ejercicios.h&quot;
<span class="lineNum">       4 </span>            : #include &quot;gtest/gtest.h&quot;
<span class="lineNum">       5 </span>            : #include &lt;iostream&gt;
<span class="lineNum">       6 </span>            : #include &lt;string&gt;
<span class="lineNum">       7 </span>            : 
<a name="8"><span class="lineNum">       8 </span>            : using namespace std;</a>
<span class="lineNum">       9 </span>            : 
<span class="lineNum">      10 </span><span class="lineCov">         35 : TEST(esEncuestaValidaTEST, valida) {</span>
<span class="lineNum">      11 </span>            : 
<span class="lineNum">      12 </span>            :     eph_h th = {{334,  2017, 1, 1, 6, 0, 1, 3, 1, 2},
<span class="lineNum">      13 </span>            :                 {960,  2017, 1, 1, 2, 0, 1, 4, 1, 2},
<span class="lineNum">      14 </span>            :                 {1366, 2017, 1, 2, 4, 1, 1, 3, 2, 1},
<span class="lineNum">      15 </span><span class="lineCov">         14 :                 {1388, 2017, 1, 3, 2, 0, 4, 2, 2, 2}};</span>
<span class="lineNum">      16 </span>            : 
<span class="lineNum">      17 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">      18 </span>            :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      19 </span>            :                 {960,  2, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">      20 </span>            :                 {960,  3, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      21 </span>            :                 {1366, 1, 2017, 1, 1, 2, 92, -1, 0, -1,    6},
<span class="lineNum">      22 </span><span class="lineCov">         14 :                 {1388, 1, 2017, 1, 0, 1, 67, 1,  3, 20000, 1}};</span>
<span class="lineNum">      23 </span>            : 
<span class="lineNum">      24 </span><span class="lineCov">          7 :     EXPECT_TRUE(esEncuestaValida(th, ti));</span>
<a name="25"><span class="lineNum">      25 </span><span class="lineCov">          7 : }</span></a>
<span class="lineNum">      26 </span>            : 
<span class="lineNum">      27 </span><span class="lineCov">         35 : TEST(esEncuestaValidaTEST, invalidaSinHogares) {</span>
<span class="lineNum">      28 </span>            : 
<span class="lineNum">      29 </span><span class="lineCov">         14 :     eph_h th = {};</span>
<span class="lineNum">      30 </span>            : 
<span class="lineNum">      31 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">      32 </span>            :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      33 </span>            :                 {960,  2, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">      34 </span>            :                 {960,  3, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      35 </span>            :                 {1366, 1, 2017, 1, 1, 2, 92, -1, 0, -1,    6},
<span class="lineNum">      36 </span><span class="lineCov">         14 :                 {1388, 1, 2017, 1, 0, 1, 67, 1,  3, 20000, 1}};</span>
<span class="lineNum">      37 </span>            : 
<span class="lineNum">      38 </span><span class="lineCov">          7 :     EXPECT_FALSE(esEncuestaValida(th, ti));</span>
<span class="lineNum">      39 </span><span class="lineCov">          7 : }</span>
<a name="40"><span class="lineNum">      40 </span>            : </a>
<span class="lineNum">      41 </span>            : 
<span class="lineNum">      42 </span><span class="lineCov">         35 : TEST(esEncuestaValidaTEST, invalidaSinTodosLosAtributosIndividuos) {</span>
<span class="lineNum">      43 </span><span class="lineCov">         14 :     eph_h th = {{334, 2017, 1, 1, 6, 0, 1, 3, 1, 2}};</span>
<span class="lineNum">      44 </span>            :     eph_i ti = {{334},
<span class="lineNum">      45 </span><span class="lineCov">         14 :                 {334, 2017}};</span>
<span class="lineNum">      46 </span>            : 
<span class="lineNum">      47 </span><span class="lineCov">          7 :     EXPECT_FALSE(esEncuestaValida(th, ti));</span>
<a name="48"><span class="lineNum">      48 </span><span class="lineCov">          7 : }</span></a>
<span class="lineNum">      49 </span>            : 
<span class="lineNum">      50 </span><span class="lineCov">         35 : TEST(esEncuestaValidaTEST, invalidaHogaresSinIndividuos) {</span>
<span class="lineNum">      51 </span>            :     eph_h th = {{334, 2017, 1, 1, 6, 0, 1, 3, 1, 2},
<span class="lineNum">      52 </span><span class="lineCov">         14 :                 {960,  2017, 1, 1, 2, 0, 1, 4, 1, 2}};</span>
<span class="lineNum">      53 </span><span class="lineCov">         14 :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 16300, 1}};</span>
<span class="lineNum">      54 </span>            : 
<span class="lineNum">      55 </span><span class="lineCov">          7 :     EXPECT_FALSE(esEncuestaValida(th, ti));</span>
<a name="56"><span class="lineNum">      56 </span><span class="lineCov">          7 : }</span></a>
<span class="lineNum">      57 </span>            : 
<span class="lineNum">      58 </span><span class="lineCov">         35 : TEST(esEncuestaValidaTEST, invalidaHogaresCodusuRepetidos) {</span>
<span class="lineNum">      59 </span>            :     eph_h th = {{334, 2017, 1, 1, 6, 0, 1, 3, 1, 2},
<span class="lineNum">      60 </span><span class="lineCov">         14 :                 {334,  2017, 1, 1, 2, 0, 1, 4, 1, 2}};</span>
<span class="lineNum">      61 </span><span class="lineCov">         14 :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},};</span>
<span class="lineNum">      62 </span>            : 
<span class="lineNum">      63 </span><span class="lineCov">          7 :     EXPECT_FALSE(esEncuestaValida(th, ti));</span>
<a name="64"><span class="lineNum">      64 </span><span class="lineCov">          7 : }</span></a>
<span class="lineNum">      65 </span>            : 
<span class="lineNum">      66 </span><span class="lineCov">         35 : TEST(esEncuestaValidaTEST, invalidaIndividuosCodusuYComponenteRepetidos) {</span>
<span class="lineNum">      67 </span><span class="lineCov">         14 :     eph_h th = {{334, 2017, 1, 1, 6, 0, 1, 3, 1, 2}};</span>
<span class="lineNum">      68 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">      69 </span><span class="lineCov">         14 :                 {334, 1, 2017, 1, 1, 2, 92, -1, 0, -1, 6}};</span>
<span class="lineNum">      70 </span>            : 
<span class="lineNum">      71 </span><span class="lineCov">          7 :     EXPECT_FALSE(esEncuestaValida(th, ti));</span>
<span class="lineNum">      72 </span><span class="lineCov">          7 : }</span>
<a name="73"><span class="lineNum">      73 </span>            : </a>
<span class="lineNum">      74 </span>            : 
<span class="lineNum">      75 </span><span class="lineCov">         35 : TEST(esEncuestaValidaTEST, invalidaDistintoAnioEntreHogaresEIndividuos) {</span>
<span class="lineNum">      76 </span>            :     eph_h th = {{334, 2017, 1, 1, 6, 0, 1, 3, 1, 2},
<span class="lineNum">      77 </span><span class="lineCov">         14 :                 {960,  2017, 1, 1, 2, 0, 1, 4, 1, 2}};</span>
<span class="lineNum">      78 </span>            :     eph_i ti = {{334,  1, 2018, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">      79 </span><span class="lineCov">         14 :                 {960,  1, 2018, 1, 0, 1, 36, 1,  3, 16300, 1}};</span>
<span class="lineNum">      80 </span>            : 
<span class="lineNum">      81 </span><span class="lineCov">          7 :     EXPECT_FALSE(esEncuestaValida(th, ti));</span>
<a name="82"><span class="lineNum">      82 </span><span class="lineCov">          7 : }</span></a>
<span class="lineNum">      83 </span>            : 
<span class="lineNum">      84 </span><span class="lineCov">         35 : TEST(esEncuestaValidaTEST, invalidaDistintoTrimestreEntreHogaresEIndividuos) {</span>
<span class="lineNum">      85 </span>            :     eph_h th = {{334, 2017, 1, 1, 6, 0, 1, 3, 1, 2},
<span class="lineNum">      86 </span><span class="lineCov">         14 :                 {960,  2017, 1, 1, 2, 0, 1, 4, 1, 2}};</span>
<span class="lineNum">      87 </span>            :     eph_i ti = {{334,  1, 2017, 2, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">      88 </span><span class="lineCov">         14 :                 {960,  1, 2017, 2, 0, 1, 36, 1,  3, 16300, 1}};</span>
<span class="lineNum">      89 </span>            : 
<span class="lineNum">      90 </span><span class="lineCov">          7 :     EXPECT_FALSE(esEncuestaValida(th, ti));</span>
<a name="91"><span class="lineNum">      91 </span><span class="lineCov">          7 : }</span></a>
<span class="lineNum">      92 </span>            : 
<span class="lineNum">      93 </span><span class="lineCov">         35 : TEST(esEncuestaValidaTEST, invalidaDormitoriosMayoresAHabitaciones) {</span>
<span class="lineNum">      94 </span>            :     //                              cantidad de dormitorios
<span class="lineNum">      95 </span>            :     //           cantidad de habitaciones__   |
<span class="lineNum">      96 </span>            :     //                                     |  |
<span class="lineNum">      97 </span>            :     //                                     v  v
<span class="lineNum">      98 </span><span class="lineCov">         14 :     eph_h th = {{334, 2017, 2, 1, 6, 0, 1, 1, 2, 2}};</span>
<span class="lineNum">      99 </span><span class="lineCov">         14 :     eph_i ti = {{334,  1, 2017, 2, 0, 1, 36, 1,  3, 16300, 1}};</span>
<span class="lineNum">     100 </span>            : 
<span class="lineNum">     101 </span><span class="lineCov">          7 :     EXPECT_FALSE(esEncuestaValida(th, ti));</span>
<a name="102"><span class="lineNum">     102 </span><span class="lineCov">          7 : }</span></a>
<span class="lineNum">     103 </span>            : 
<span class="lineNum">     104 </span><span class="lineCov">         35 : TEST(esEncuestaValidaTEST, invalidaMasDe20MiembrosEnElHogar) {</span>
<span class="lineNum">     105 </span><span class="lineCov">         14 :     eph_h th = {{334, 2017, 2, 1, 6, 0, 1, 3, 1, 2}};</span>
<span class="lineNum">     106 </span><span class="lineCov">         14 :     eph_i ti;</span>
<span class="lineNum">     107 </span>            : 
<span class="lineNum">     108 </span><span class="lineCov">        154 :     for (int i = 1; i &lt;= 21; i++) {</span>
<span class="lineNum">     109 </span><span class="lineCov">        294 :         individuo individuo_actual = {334, 1, 2017, 2, 0, 1, 36, 1, 3, 16300, 1};</span>
<span class="lineNum">     110 </span><span class="lineCov">        147 :         individuo_actual[COMPONENTE] = i;</span>
<span class="lineNum">     111 </span><span class="lineCov">        147 :         ti.push_back(individuo_actual);</span>
<span class="lineNum">     112 </span>            :     }
<span class="lineNum">     113 </span>            : 
<span class="lineNum">     114 </span><span class="lineCov">          7 :     EXPECT_FALSE(esEncuestaValida(th, ti));</span>
<a name="115"><span class="lineNum">     115 </span><span class="lineCov">          7 : }</span></a>
<span class="lineNum">     116 </span>            : 
<span class="lineNum">     117 </span><span class="lineCov">         35 : TEST(esEncuestaValidaTEST, invalidaTrimestreNegativo) {</span>
<span class="lineNum">     118 </span><span class="lineCov">         14 :     eph_h th = {{234, 2017, -2, 1, 6, 0, 1, 3, 1, 2}};</span>
<span class="lineNum">     119 </span><span class="lineCov">         14 :     eph_i ti = {{234, 1, 2017, -2, 0, 1, 36, 1, 3, 16300, 1}};</span>
<span class="lineNum">     120 </span>            : 
<span class="lineNum">     121 </span><span class="lineCov">          7 :     EXPECT_FALSE(esEncuestaValida(th, ti));</span>
<a name="122"><span class="lineNum">     122 </span><span class="lineCov">          7 : }</span></a>
<span class="lineNum">     123 </span>            : 
<span class="lineNum">     124 </span><span class="lineCov">         35 : TEST(esEncuestaValidaTEST, validaAnioNegativo) {</span>
<span class="lineNum">     125 </span><span class="lineCov">         14 :     eph_h th = {{234, -345, 4, 1, 6, 0, 1, 3, 1, 2}};</span>
<a name="126"><span class="lineNum">     126 </span><span class="lineCov">         14 :     eph_i ti = {{234, 1, -345, 4, 0, 1, 36, 1, 3, 16300, 1}};</span></a>
<span class="lineNum">     127 </span><span class="lineCov">          7 :     EXPECT_TRUE(esEncuestaValida(th, ti));</span>
<span class="lineNum">     128 </span><span class="lineCov">         28 : }</span>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.13</a></td></tr>
  </table>
  <br>

</body>
</html>
